package com.tarena.oss.userservice.service;

import java.util.Collection;

import com.tarena.oss.userservice.pojo.UserService;
import com.tarena.oss.userservice.pojo.UserServiceCondDTO;

public interface UserServiceMgmtService {
	public void addUserService(UserService userservice);
	public void modifyUserService(UserService userservice);
	public void removeUserService(Integer id);
	public UserService findUserService(Integer id);
	public Collection<UserService> findUserServices();
	public Collection<UserService> findUserServices(UserServiceCondDTO dto);
	public Collection<UserService> findUserServices(int currentPage);
	public Collection<UserService> findUserServices(UserServiceCondDTO dto,int currentPage);
	
	public int findUserServiceCnts();
	public int findUserServicesByCond(UserServiceCondDTO dto);
	

}
